Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.groupsmanager
Class GroupsManagerWrapperFactory

    java.lang.Object
      org.jasig.portal.channels.groupsmanager.GroupsManagerWrapperFactory

All Implemented Interfaces:
  GroupsManagerConstants

    public class GroupsManagerWrapperFactory

extends java.lang.Object
implements GroupsManagerConstants

A class designed to decouple a request for the creation of xml for an object from the class requestor class.

Version:
  $Revision: 1.8 $
Author:
  Don Fracapane

Field Summary
`protected static java.util.HashMap` | `BINDINGS`
`protected static boolean` | `INITIALIZED`

Fields inherited from interface org.jasig.portal.channels.groupsmanager.GroupsManagerConstants
`ADD_REMOVE_PERMISSION, ASSIGN_PERMISSION, BASE_PACKAGE, BROWSE_MODE, COMMANDS_PACKAGE, CREATE_PERMISSION, DELETE_PERMISSION, EDIT_MODE, ENTITY_CLASSNAME, ENTITY_TAGNAME, GROUP_CLASSNAME, GROUP_TAGNAME, GROUPS_PACKAGE, MEMBERS_ONLY_MODE, OWNER, PROPERTIES_TAGNAME, ROOT_GROUP_DESCRIPTION, ROOT_GROUP_TITLE, SECURITY_PACKAGE, SELECT_MODE, SELECT_PERMISSION, UPDATE_PERMISSION, VIEW_PERMISSION, WRAPPERS_PACKAGE`

Constructor Summary
`GroupsManagerWrapperFactory()`

Method Summary
`static IGroupsManagerWrapper` | `get(java.lang.String name)` Returns the instance of a wrapper object bound to a name.
`static java.lang.String[]` | `getKeys()` Returns the names of the bound wrapper objects.
`static void` | `init()` Lazily initialize the static variables.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BINDINGS

    protected static java.util.HashMap BINDINGS

### INITIALIZED

    protected static boolean INITIALIZED

Constructor Detail

### GroupsManagerWrapperFactory

    public GroupsManagerWrapperFactory()

Method Detail

### init

    public static void init()

  Lazily initialize the static variables. Binds a hashmap name to an instance of a wrapper object

### get

    public static IGroupsManagerWrapper get(java.lang.String name)

  Returns the instance of a wrapper object bound to a name.

  Parameters:
    `name` -
  Returns:
    IGroupsManagerWrapper

### getKeys

    public static java.lang.String[] getKeys()

  Returns the names of the bound wrapper objects. Used for debugging.

  Returns:
    String[]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD